using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.Threading;
using System.Globalization;
using System.Collections.Specialized;

namespace LocalizingImages
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {

        }

        protected void Application_End(object sender, EventArgs e)
        {

        }
        void Application_BeginRequest(object sender, EventArgs e)
        {
            if (Request.Url.LocalPath.ToString().ToUpperInvariant()
                .StartsWith("/IMAGES/"))
            {
                CultureInfo cultureInfo = GetCurrentUICulture();

                if (cultureInfo != null)
                {
                    int index = Request.Url.LocalPath.ToString().
                        ToUpperInvariant().IndexOf("/IMAGES/");

                    string newUrl = Request.Url.LocalPath.ToString()
                        .Insert(index + 8, cultureInfo.Name + "/");

                    Context.RewritePath(newUrl);
                }
            }
        }

        private CultureInfo GetCurrentUICulture()
        {
            if (Request.UserLanguages.GetLength(0) == 0)
                return null;

            try
            {
                return new CultureInfo(Request.UserLanguages[0]);
            }
            catch
            {
                return null;
            }
        }

    }
}